ServerEvents.recipes(e=> {

    e.replaceInput({}, 'minecraft:ender_pearl', 'botania:mana_pearl')
    e.remove({ output: '/botania\:apothecary.*/'})
    e.shaped('botania:apothecary_default',[
        'UEU', 
        ' U ', 
        ' U '
       ], {
         U: 'naturesaura:infused_brick',
         E: '#botania:mystical_flowers'
       })
    

    e.remove({ output: 'botania:manasteel_block',type: 'botania:mana_infusion'})
    e.remove({ output: 'botania:mana_diamond_block',type: 'botania:mana_infusion'})

    e.replaceInput({output:'/botania\:.*floating_flower/'}, 'minecraft:dirt', 'forbidden_arcanus:magical_farmland')
    e.replaceInput({output:'botania:terra_plate'}, 'minecraft:lapis_block', 'solarcraft:energetic_ingot')

    e.remove({ output: 'botania:mana_pylon'})
    e.recipes.botania.terra_plate('botania:mana_pylon', ['botania:manasteel_ingot', 'botania:manasteel_ingot','#forge:ingots/electrum','botania:mana_diamond'], 1000000)
    
    e.remove({ output: 'botania:gaia_pylon'})
    e.recipes.botania.terra_plate('botania:gaia_pylon', ['botania:mana_pylon', 'botania:elementium_block','create_new_age:overcharged_diamond_wire','botania:mana_diamond','botania:pixie_dust'], 5000000)
    e.remove({ output: 'botania:elementium_block',type: 'botania:elven_trade'})
    e.remove({ output: 'botania:elementium_ingot',type: 'botania:elven_trade'})
    e.remove({ output: 'minecraft:ender_pearl',type: 'botania:elven_trade'})

    e.recipes.botania.elven_trade(['botania:elementium_ingot', 'botania:elementium_ingot', 'botania:elementium_ingot'], ['create:chromatic_compound', 'botania:manasteel_ingot'])
    
    e.remove({ output: 'botania:mana_pearl',type: 'botania:mana_infusion'})
    e.recipes.botania.mana_infusion("botania:mana_pearl", "minecraft:ender_pearl", 40000)


})